<template>
   <div class="plate-box">
    <h2 class="title"><span class="line"></span><p>{{title}}</p><span class="line"></span> </h2>
    <div class="plate " >
        <ul>
             <li>
                <label>上机床位 : </label>
                <span class="content">{{device_number}}</span>
            </li>
             <li>
                <label>上机护士 : </label>
                <span class="content">{{nurse}}</span>
            </li>
             <li>
                <label>状态 : </label>
                <span class="content">{{stage}}</span>
            </li>
          <li>
          <label>上机时间 : </label>
          <span class="content">{{start_time}}</span>
        </li>
        </ul>
    </div>
    <!-- <div class="note">处方医生 : {{doctor}}</div> -->
  </div>
</template>

<script>
  import { parseTime } from "@/utils";

  export default {
  name: "DialysisComputer",
  data() {
    return {
      title: "透析上机 ",
    };
  },
  props: {
    record: {
      type: Object,
    },
    admin_map: {
      type: Object,
    },
    device_number_map: {
      type: Object,
    }
  },
  computed: {
    device_number: function() {
      if (this.record == null || this.record.id == "") {
        return "-"
      }
      return this.device_number_map[this.record.bed_id] == null ? "" : this.device_number_map[this.record.bed_id].number
    },
    nurse: function() {
      if (this.record == null || this.record.id == "") {
        return "-"
      }
      return this.admin_map[this.record.start_nurse] == null ? "" : this.admin_map[this.record.start_nurse].name
    },
    stage: function() {
      if (this.record == null || this.record.id == "") {
        return "未上机"
      }
      return this.record.stage == 1 ? "已上机" : "已下机"
    },start_time:function () {
      if (this.record == null || this.record.id == '') {
        return "-"
      }
      return parseTime(this.record.start_time, "{y}年{m}月{d}日 {h}时");


    },
  },
  methods: {

  }
};
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
</style>



